MBeanTrustPermission (Java SE 25 & JDK 25)
Description: declaration: module: java.management, package: javax.management, class: MBeanTrustPermission
Keywords: javax.management.MBeanTrustPermission class

# Class MBeanTrustPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
javax.management.MBeanTrustPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public class MBeanTrustPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This class was only useful in conjunction with the Security Manager, which is no longer supported. There is no replacement for this class.
This permission represents "trust" in a signer or codebase.

MBeanTrustPermission contains a target name but no actions list. A single target name, "register", is defined for this permission. The target "*" is also allowed, permitting "register" and any future targets that may be defined. Only the null value or the empty string are allowed for the action to allow the policy object to create the permissions specified in the policy file.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated for removal in a future release.
Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MBeanTrustPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Create a new MBeanTrustPermission with the given name.
  `MBeanTrustPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Create a new MBeanTrustPermission with the given name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MBeanTrustPermission

    public MBeanTrustPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.

    Create a new MBeanTrustPermission with the given name.

    This constructor is equivalent to `MBeanTrustPermission(name,null)`.

    Parameters:
      `name` - the name of the permission. It must be "register" or "*" for this permission.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is neither "register" nor "*".

  - ### MBeanTrustPermission

    public MBeanTrustPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.

    Create a new MBeanTrustPermission with the given name.

    Parameters:
      `name` - the name of the permission. It must be "register" or "*" for this permission.
      `actions` - the actions for the permission. It must be null or `""`.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is neither "register" nor "*"; or if `actions` is a non-null non-empty string.